package com.bocloud.cmp.model.hmc.sdk.module;

import com.bocloud.cmp.model.hmc.sdk.common.Metadata;

public class SystemMigrationInformation {
    private String schemaVersion;
    private Metadata metadata;
    private String maximumInactiveMigrations;
    private String maximumActiveMigrations;
    private String numberOfInactiveMigrationsInProgress;
    private String numberOfActiveMigrationsInProgress;
    private String maximumFirmwareActiveMigrations;

    public SystemMigrationInformation() {
    }

    public Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(Metadata metadata) {
        this.metadata = metadata;
    }

    public String getMaximumInactiveMigrations() {
        return maximumInactiveMigrations;
    }

    public void setMaximumInactiveMigrations(String maximumInactiveMigrations) {
        this.maximumInactiveMigrations = maximumInactiveMigrations;
    }

    public String getMaximumActiveMigrations() {
        return maximumActiveMigrations;
    }

    public void setMaximumActiveMigrations(String maximumActiveMigrations) {
        this.maximumActiveMigrations = maximumActiveMigrations;
    }

    public String getNumberOfInactiveMigrationsInProgress() {
        return numberOfInactiveMigrationsInProgress;
    }

    public void setNumberOfInactiveMigrationsInProgress(String numberOfInactiveMigrationsInProgress) {
        this.numberOfInactiveMigrationsInProgress = numberOfInactiveMigrationsInProgress;
    }

    public String getNumberOfActiveMigrationsInProgress() {
        return numberOfActiveMigrationsInProgress;
    }

    public void setNumberOfActiveMigrationsInProgress(String numberOfActiveMigrationsInProgress) {
        this.numberOfActiveMigrationsInProgress = numberOfActiveMigrationsInProgress;
    }

    public String getMaximumFirmwareActiveMigrations() {
        return maximumFirmwareActiveMigrations;
    }

    public void setMaximumFirmwareActiveMigrations(String maximumFirmwareActiveMigrations) {
        this.maximumFirmwareActiveMigrations = maximumFirmwareActiveMigrations;
    }

    @Override
    public String toString() {
        return "SystemMigrationInformation [metadata=" + metadata + ", maximumInactiveMigrations="
            + maximumInactiveMigrations + ", maximumActiveMigrations=" + maximumActiveMigrations
            + ", numberOfInactiveMigrationsInProgress=" + numberOfInactiveMigrationsInProgress
            + ", numberOfActiveMigrationsInProgress=" + numberOfActiveMigrationsInProgress
            + ", maximumFirmwareActiveMigrations=" + maximumFirmwareActiveMigrations + "]";
    }
}
